Page MenuHomePhabricator

tests: add a (very slow) test that executes pytype
ClosedPublic

Authored by mharbison72 on Mar 19 2021, 1:58 AM.

Details

Summary

This is an updated form of D7295, and completes successfully with pytype
2021.03.22. The 5 or so crashes that were mostly in the hgweb files seems to
have been fixed in 2021.03.10.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mharbison72 created this revision.Mar 19 2021, 1:58 AM
Alphare accepted this revision.Apr 9 2021, 4:30 AM
Alphare added a subscriber: Alphare.

Thanks for this. Hopefully it'll get easier when we remove Python 2, hopefully very soon.

pulkit accepted this revision.Apr 11 2021, 5:26 PM
This revision is now accepted and ready to land.Apr 11 2021, 5:26 PM
This revision was automatically updated to reflect the committed changes.